MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030218Open CASCADE[OCCT] OCCT:Visualizationpublic2018-10-08 17:582018-10-14 13:56
Reportergka 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030218: Visualization - custom selection presentation is not updated within SelectMgr_SelectableObject::UpdateTransformation()
DescriptionTransformation applied to the AIS_InteractiveObject is not taking into account for select and highlight presentations.
Steps To Reproduce
pload XDE VISUALIZATION
vinit View1

meshfromstl m [locate_data_file OCC6652.stl]
vfit
vzoom 0.75

vsetdispmode m 3
vselmode m 8 1

vselect 5 5 200 200
vlocation m -setLocation 500 0 0
vmoveto 370 370
TagsNo tags attached.
Test case numberbugs vis bug30218
Attached Filespng file icon meshvs_located_KO.png (13,982 bytes) 2018-10-08 18:03

- Relationships
related to 0028527closedabv Open CASCADE Visualization, AIS_InteractiveContext - custom selection presentation is never removed from View 

-  Notes
(0079807)
git (administrator)
2018-10-08 19:19

Branch CR30218 has been created by kgv.

SHA-1: d02428ce98c3f34c9fe8ff5361d98b99e1592af6


Detailed log of new commits:

Author: kgv
Date: Mon Oct 8 19:16:06 2018 +0300

    0030218: Visualization - custom selection presentation is not updated within SelectMgr_SelectableObject::UpdateTransformation()
(0079808)
kgv (developer)
2018-10-08 19:19

Please check patch in branch CR30218.
(0079815)
git (administrator)
2018-10-09 11:43

Branch CR30218 has been updated forcibly by kgv.

SHA-1: 6cdd3016778c8622b085b118e18a893ccd50e532
(0079816)
git (administrator)
2018-10-09 11:49

Branch CR30218 has been updated forcibly by kgv.

SHA-1: 3a2fd9c908e5cd60ced31dfb4109ff66331ad6d8
(0079820)
kgv (developer)
2018-10-09 13:34

Please take the patch.

http://jenkins-test-12.nnov.opencascade.com/view/CR30218-master-KGV [^]
(0079857)
apn (administrator)
2018-10-10 16:26

Combination -
OCCT branch : CR30218 SHA - 3a2fd9c908e5cd60ced31dfb4109ff66331ad6d8
Products branch : master SHA - fa672296ba29ad12e59ba21c0c612c412b808a5d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs vis bug30218 - OK

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17362.009999999773 / 17385.999999999854 [-0.14%]
Products
Total CPU difference: 7456.380000000051 / 7445.680000000064 [+0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 17396.01471219861 / 17457.853508598404 [-0.35%]
Products
Total CPU difference: 8346.287501499975 / 8343.292282299992 [+0.04%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0079932)
git (administrator)
2018-10-14 13:56

Branch CR30218 has been deleted by inv.

SHA-1: 3a2fd9c908e5cd60ced31dfb4109ff66331ad6d8

- Related Changesets
occt: master 1b63268e
Timestamp: 2018-10-08 16:16:06
Author: kgv
Committer: apn
Details ] Diff ]
0030218: Visualization - custom selection presentation is not updated within SelectMgr_SelectableObject::UpdateTransformation()

SelectMgr_SelectableObject now assigns transformation to mySelectionPrs and myHilightPrs presentations.
Removed confusing method PrsMgr_PresentableObject::UpdateTransformation() with presentation as argument.
mod - src/PrsMgr/PrsMgr_PresentableObject.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
add - tests/bugs/vis/bug30218 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-10-08 17:58 gka New Issue
2018-10-08 17:58 gka Assigned To => kgv
2018-10-08 18:03 kgv Steps to Reproduce Updated View Revisions
2018-10-08 18:03 kgv File Added: meshvs_located_KO.png
2018-10-08 18:09 kgv Product Version => 6.3.1
2018-10-08 18:10 kgv Relationship added related to 0029947
2018-10-08 18:11 kgv Relationship added related to 0028527
2018-10-08 18:13 kgv Summary Transformation applied to the AIS_InteractiveObject is noty taking into account for select and highlight presentations. => Visualization - custom selection presentation is not updated within SelectMgr_SelectableObject::UpdateTransformation()
2018-10-08 19:19 git Note Added: 0079807
2018-10-08 19:19 kgv Note Added: 0079808
2018-10-08 19:19 kgv Assigned To kgv => gka
2018-10-08 19:19 kgv Status new => feedback
2018-10-09 11:43 git Note Added: 0079815
2018-10-09 11:49 git Note Added: 0079816
2018-10-09 13:34 kgv Note Added: 0079820
2018-10-09 13:34 kgv Assigned To gka => bugmaster
2018-10-09 13:34 kgv Status feedback => reviewed
2018-10-10 16:21 apn Test case number => bugs vis bug30218
2018-10-10 16:26 apn Note Added: 0079857
2018-10-10 16:26 apn Status reviewed => tested
2018-10-13 16:01 apn Changeset attached => occt master 1b63268e
2018-10-13 16:01 apn Assigned To bugmaster => apn
2018-10-13 16:01 apn Status tested => verified
2018-10-13 16:01 apn Resolution open => fixed
2018-10-14 13:56 git Note Added: 0079932


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker